## x项目 数据消费

### 使用  supervisor 管理

参数从环境变量读取，保持代码逻辑稳定性

```shell
[program:xdata_consumer]
command=/root/.local/share/virtualenvs/xlegudata_consumer-vxqAlMtt/bin/python main.py
directory=/data/code/xlegudata_consumer
autostart=true
startsecs=5
autorestart=true
timeout=200
stopasgroup=true
killasgroup=true
redirect_stderr=true
stdout_logfile_maxbytes=20MB
stdout_logfile_backups=20
stdout_logfile=/data/code/xlegudata_consumer/consumer.log
environment=consumer_id="legux_geshou",topic_name="legu_geshouccs,legu_geshouccs_qd",xlegudata_env="production",local_mongo_uri="mongodb://root:iamciniao@127.0.0.1:27017/?authSource=admin&readPreference=primary&ssl=false"

```

### 创建python环境

```shell
pipenv install Pipfile
```

